Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

[#89] Fix Suspenders on Ruby 1.8

  • Loading branch information...
commit 27a25422f32cff7e9a0b54787858c88833b84708 1 parent 8f45973
Dan Croak authored August 02, 2012
6  bin/suspenders
@@ -10,7 +10,7 @@ if ['create', '--create'].include? ARGV[0]
10 10
 end
11 11
 
12 12
 templates_root = File.expand_path(File.join("..", "templates"), File.dirname(__FILE__))
13  
-Suspenders::Generator.source_root templates_root
14  
-Suspenders::Generator.source_paths << Rails::Generators::AppGenerator.source_root << templates_root
  13
+Suspenders::AppGenerator.source_root templates_root
  14
+Suspenders::AppGenerator.source_paths << Rails::Generators::AppGenerator.source_root << templates_root
15 15
 
16  
-Suspenders::Generator.start
  16
+Suspenders::AppGenerator.start
2  lib/suspenders/generators/app_generator.rb
@@ -2,7 +2,7 @@
2 2
 require 'rails/generators/rails/app/app_generator'
3 3
 
4 4
 module Suspenders
5  
-  class Generator < Rails::Generators::AppGenerator
  5
+  class AppGenerator < Rails::Generators::AppGenerator
6 6
     # let's use postgres by default
7 7
     class_option :database,       :type => :string, :aliases => "-d", :default => "postgresql",
8 8
                                   :desc => "Preconfigure for selected database (options: #{DATABASES.join('/')})"

0 notes on commit 27a2542

Please sign in to comment.
Something went wrong with that request. Please try again.